*
* main.s
*
* v0.2 08/09/01
*
* user commands for PPP connection
*

*
*
* Pppon negociates the connection
*
*

ASSEMBLE
	CON(1)		8
RPL
xNAME PPPON
::
  CK0 SerialInit Rclpar
CODE
	GOSUBL	saveregs

sendlcpreq
* in case the host's tty is locked.
	LA(2)	_XON
	GOSUBL	sendchar

	A=R4.F	A

* just toss until next frame
	LC(5)	pppstatus
	A=A+C	A
	D0=A
	LC(1)	HDLC_TOSSING
	DAT0=C	P

* sets asyncmap to ALL !
	D0=D0+	(pppasyncmap)-(pppstatus)
	LC(8)	#FFFFFFFF
	DAT0=C	8

* clears FCS error number
	D0=D0+	(fcserror)-(pppasyncmap)
	C=0	A
	DAT0=C	5

* automates at the very beginning
	D0=D0+	(pppstate)-(fcserror)
	LC(1)	_Establish
	DAT0=C	P

	D0=D0+	(lcpstate)-(pppstate)
	LC(1)	_Req_Sent
	DAT0=C	P

	D0=D0+	(cptimeout)-(lcpstate)
	LC(1)	_num_retries
	DAT0=C	P

* so as to launch negociation
	GOSUB	lcpscr
	GOSUBL	ztick
-
	GOSUBL	tick
	GONC	+
	GOSUB	lcptimeout
	GOSUBL	ztick
+
	GOSUBL	rechdlc

	A=R4.F	A
	LC(5)	ipcpstate
	C=C+A	A
	D0=C
	A=DAT0	P
	LC(1)	_Opened
	?A#C	P
	GOYES	-

	GOLONG	exit

ENDCODE
;


ASSEMBLE
	CON(1)		8
RPL
xNAME PPPOFF
::
  CK0
  Rclpar
CODE
	GOSUBL	saveregs

	GOSUB	send_Term_Req

	GOLONG	exit
ENDCODE
  CLOSEUART
;
