*
* connx.s
*
* v0.2 09/09/01
*
* handles socket connections
* expects socket number, dest ip addr, dest port (all hex strings)
*

ASSEMBLE
	CON(1)		8
RPL
xNAME CONNECT
::
*  CK3 SWAP xRESOLV SWAP		RESOLV uses our socket !
  CK3&Dispatch
    #1FBB ::
      HXS># ROT Rclpar
CODE
	GOSUB	checksocketnumber
	GOSBVL	=GETPTR

* dest port
	GOSBVL	=POP#
	GOSBVL	=SAVPTR

	B=A	A

	A=R4.F	A
	LC(5)	(SocketEnCours)+4
	A=A+C	A
	D0=A	A

	A=B	B
	ASL	X
	ASL	A			beware of indians !
	BSR	A
	BSR	X
	A=B	B
	DAT0=A	4
	D0+	(socketadrip)-(SocketEnCours)-4

* dest IP addr

	A=DAT1	A			address of the IP address
	D1=A
	D1+	10

	A=0	W

	A=DAT1	2
	P=	#D
-
	ASL	W
	ASL	W
	D1=D1+	2
	A=DAT1	2
	P=P+1
	GONC	-

* IP #0 means "remote host"
	?A#0	W
	GOYES	+

	D0-	(socketadrip)-(iphote)
	A=DAT0	8
	D0+	(socketadrip)-(iphote)
+
	DAT0=A	8

* if tcp, we must connect ourself to the host
	D0+	(socketconnection)-(socketadrip)
	A=DAT0	B

	LC(2)	#01			tcp, not connected
	?A#C	B
	GOYES	++

	GOSUBL	tcpconnect

	GOC	+			connection failed

	A=R4.F	A
	LC(5)	(socketconnection)+1
	A=A+C	A
	D0=A	A

	LC(1)	#1			connected !
	DAT0=C	P

	GOLONG	drop
+
	LC(5)	XErr_Time
	GOLONG	erreur
++
	?A#C	P
	GOYES	+
	LC(5)	XErr_AlConn		already connected !
	GOLONG	erreur

+
	GOLONG	drop

ENDCODE
    ;
;




ASSEMBLE
	CON(1)		8
RPL
xNAME DISCONNECT
::
  CK1&Dispatch
    #1F	::
      Rclpar
CODE
	GOSUB	checksocketnumber

	A=R4.F	A
	LC(5)	socketconnection
	A=A+C	A
	D0=A	A			record de socket
	A=DAT0	B

	LC(2)	#11			mode connect, et connect
	?A#C	B
	GOYES	+

	LC(2)	#01			dconnect !
	DAT0=C	B

	GOSUBL	tcpdisconnect

	GOLONG	exit			on quitte

+
	?A#C	P
	GOYES	+
	LC(5)	XErr_AlDisconn
	GOLONG	erreur

+
	LC(5)	XErr_TCPSock
	GOLONG	erreur

ENDCODE
    ;
;
