*
* read.s
*
* v0.2 26/10/01
*
* user command for reading data from the socket
*

ASSEMBLE
	CON(1)		8
RPL
xNAME READ
::
  CK1&Dispatch
    #1F	::
      Rclpar
CODE
	GOSUBL	saveregs
	GOSUBL	ztick			resets timer
-
	GOSUBL	tick			timer & test
	GONC	+
	GOTO	timeout
+
	GOSUBL	rechdlc			fetch data !

	A=R4.F	A
	LC(5)	socketrcvd
	C=C+A	A
	D0=C	A

	C=DAT0	A
	?C=0	A			are there data ?
	GOYES	+

	GOTO	sockgetdata

+
	LC(5)	socketconnection
	C=C+A	A
	D0=C	A

	C=DAT0	P
	?CBIT=0	0			udp or raw ?
	GOYES	-

* TCP and no data, check connection
	D0+	(tcpconnected)-(socketconnection)
	C=DAT0	P
	?C#0	P			still connected ?
	GOYES	-
	GOTO	errnoconn

sockgetdata
	R0=C.F	A			size

	D0+	(socketpointer)-(socketrcvd)
	C=DAT0	A
	D=C	A

	LC(5)	offsetbufsock
	C=C+A	A
	C=C+D	A
	D0=C	A

	D0-	5			-> header + size
	C=R0.F	A
	C=C+CON	A,5			plus the size's size
	DAT0=C	A

	D0-	5
	LC(5)	=DOCSTR
	DAT0=C	A
	AD0EX

	REPL

	A=R4.F	A
	LC(5)	socketrcvd
	A=A+C	A
	D0=A	A

	C=0	A
	DAT0=C	5			we get everything (for now)

	D0-	(socketrcvd)-(socketconnection)

	C=DAT0	P
	?C=0	P
	GOYES	+			udp, no window

* tcp -> reopens the window ?
	D0+	(tcpconnected)-(socketconnection)
	C=DAT0	P
	?C=0	P			he isn't connected any more,
	GOYES	+			we shan't reopen the window !

	GOSUBL	tcpopenwindow
+
	GOTOL	exit


timeout
	A=PC	A
	LC(5)	(Empty_String)-*
	A=A+C	A
	REPL
	GOTOL	exit

errnoconn
	LC(5)	XErr_Disconn
	GOTOL	erreur
ENDCODE
    ;
;

LABEL Empty_String
$ ""
