*
* socket.s
*
* v0.2 07/10/01
*
* implements Unix-like sockets
*
* SOCKET expects a real : 0 for UDP, 1 for TCP, 2 for RAW
*        gives the number of the socket (*keep* it)
*
* XXX : SOCKET expects rom-%0-2, not NEWOBed %0-2
*

ASSEMBLE
	CON(1)		8
RPL
xNAME SOCKET
::
  CK1&Dispatch
    real ::
      Rclpar
CODE
	GOSUBL	saveregs

	A=R4.F	A
	LC(5)	socketconnection
	A=A+C	A
	D0=A	A			on the socket record

	A=DAT1	A

	LC(5)	=%0
	?A#C	A
	GOYES	+

	LC(2)	SOCK_DGRAM		UDP
	DAT0=C	B
	GOTO	++

+
	LC(5)	=%1
	?A#C	A
	GOYES	+

	LC(2)	SOCK_STREAM		TCP
	DAT0=C	B

	GOTO	++

+
	LC(5)	=%2
	?A=C	A
	GOYES	+

	LC(5)	XErr_0_2
	GOLONG	erreur

+
	LC(2)	SOCK_RAW		RAW access
	DAT0=C	B

*
* create new socket : just binds it to default port
*
++
	D0-	(socketconnection)-(defaultport)
	A=DAT0	4
	P=	3
	A=A+1	WP
	P=	0
	GONC	+
	LA(4)	1024
+
	DAT0=A	4
	B=A	A
	BSR	A
	BSR	X			beware of endians !
	ASL	X
	ASL	A
	A=B	B

	D0+	(SocketEnCours)-(defaultport)

	DAT0=A	4

* clears received data
	D0+	(socketrcvd)-(SocketEnCours)
	A=0	A
	DAT0=A	5
	D0+	(socketpointer)-(socketrcvd)
	DAT0=A	5

	GOLONG	drop
ENDCODE
      ZERO
    ;
;

ASSEMBLE
	INCLUDE include/socket.a
RPL
	INCLUDE socket/bind.s
	INCLUDE socket/connx.s
ASSEMBLE
	INCLUDE socket/send.a
RPL
	INCLUDE socket/write.s
ASSEMBLE
	INCLUDE socket/rec.a
RPL
	INCLUDE socket/read.s
	INCLUDE socket/accept.s

ASSEMBLE
*
* We still have only one socket, so check that only one is used !
* this is used many times, when beginning a socket command
*
checksocketnumber
	GOSUBL	saveregs
	GOSBVL	=GETPTR
	GOSBVL	=POP#

	?A=0	A
	GOYES	+

	GOSBVL	=SAVPTR
	LC(5)	XErr_MultSocks
	GOTOL	erreur

+
	GOVLNG	=SAVPTR
RPL
